#![cfg_attr(nightly, feature(option_unwrap_none))]
#![cfg_attr(nightly, feature(never_type))] 

#![allow(dead_code)]

#![cfg_attr(nightly, feature(test))] 

#[cfg(all(nightly, test))] extern crate test;

use async_trait::async_trait;
use serde::{
    Serialize, Deserialize,
};
use color_eyre::{
    eyre,
    Help,
    SectionExt,
};

mod ext;
use ext::*;
mod bytes;
mod suspend;

mod cache;

mod config;
mod tripcode;
mod identity;
mod post;
mod state;

fn main() -> Result<(), eyre::Report>{
    color_eyre::install()?;
    /*
    let mut vec = vec![vec![1, 0, 0],
		       vec![0, 0, 1]];
    let span = vec![vec![0, 1, 0],
			vec![1, 0, 1],
			vec![0, 1, 0]];
    
    for _ in 0..10000 {
	vec.insert_exact(1, span.iter().cloned());
}*/
    Ok(())
}
